### Method

# Gimp Image pick_correlate_layer

#### Declaration [src]

    GimpLayer*
    gimp_image_pick_correlate_layer (
      GimpImage* image,
      gint x,
      gint y
    )

#### Description [src]

Find the layer visible at the specified coordinates.

This procedure finds the layer which is visible at the specified coordinates. Layers which do not qualify are those whose extents do not pass within the specified coordinates, or which are transparent at the specified coordinates. This procedure will return -1 if no layer is found.

#### Parameters

`x` | `gint`
| The x coordinate for the pick.
`y` | `gint`
| The y coordinate for the pick.

#### Return value

Returns: | `GimpLayer`
| The layer found at the specified coordinates.
| The data is owned by the instance.